org.hibernate.search.backend.jms.impl

## Class JndiJMSBackend

- java.lang.Object
- - org.hibernate.search.backend.jms.impl.JndiJMSBackend

- All Implemented Interfaces:
    Backend

      public class JndiJMSBackend
      extends Object
      implements Backend

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiJMSBackend()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendQueueProcessor` | `createQueueProcessor(IndexManager indexManager, WorkerBuildContext context)` Called exactly once for each index manager using this backend.
    `void` | `initialize(Properties properties, WorkerBuildContext context)` Used at startup, called once as first method.
    `boolean` | `isTransactional()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.backend.spi.Backend

      `close`

- - ### Constructor Detail

    - #### JndiJMSBackend

          public JndiJMSBackend()

  - ### Method Detail

    - #### initialize

          public void initialize(Properties properties,
                                 WorkerBuildContext context)

      Description copied from interface: `Backend`
      Used at startup, called once as first method.
      Specified by:
        `initialize` in interface `Backend`
      Parameters:
        `properties` - all configuration properties
        `context` - context giving access to required meta data

    - #### isTransactional

          public boolean isTransactional()

      Specified by:
        `isTransactional` in interface `Backend`
      Returns:
        `true` if this backend is able to enlist in ongoing transactions.

    - #### createQueueProcessor

          public BackendQueueProcessor createQueueProcessor(IndexManager indexManager,
                                                            WorkerBuildContext context)

      Description copied from interface: `Backend`
      Called exactly once for each index manager using this backend.
      Specified by:
        `createQueueProcessor` in interface `Backend`
      Parameters:
        `indexManager` - the `IndexManager` the `BackendQueueProcessor` will point to
        `context` - context giving access to required meta data
      Returns:
        a `BackendQueueProcessor` that will send its works to the given index manager

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved